curl --request POST \
--url https://plugin-pix-direct.api.lerian.net/v1/holder-removals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"document": "<string>",
"personType": 123,
"branch": "<string>"
}
'import requests
url = "https://plugin-pix-direct.api.lerian.net/v1/holder-removals"
payload = {
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"document": "<string>",
"personType": 123,
"branch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: '<string>',
accountId: '<string>',
accountType: 123,
document: '<string>',
personType: 123,
branch: '<string>'
})
};
fetch('https://plugin-pix-direct.api.lerian.net/v1/holder-removals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedKeys": [
{
"key": "<string>",
"reason": 123,
"result": 123,
"document": "<string>",
"name": "<string>",
"resultDescription": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Registrar una remoción de titularidad
Corta la titularidad de un titular sobre una cuenta transaccional, haciendo que el DICT elimine en lote todas las claves Pix vinculadas a ese titular y cuenta. Devuelve los resultados de eliminación por clave.
Autorizaciones
Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token
usando credenciales de cliente (clientId y clientSecret).
Incluye el token en el encabezado Authorization:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
El token expira después de 3600 segundos (1 hora).
Cuerpo
El número de cuenta.
El id de cuenta del CRM de quien llama (resuelve el ISPB del lado del servidor).
El tipo de cuenta (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).
El documento del titular objetivo (CPF/CNPJ).
El tipo de persona del titular objetivo (0=Person,1=Corporate).
El número de agencia de la cuenta.
Respuesta
OK
Los resultados de eliminación por clave.
Show child attributes
Show child attributes
¿Esta página le ayudó?

